
// x3.docs.include.js
var x3_content;

// load page
function x3_load_page(){
	// Facebook pixel track pageView
	fbq('track', 'PageView');

	// inject breadcrumbs
	var segments = x3_page.permalink.replace(x3_settings.path, '').replace(/^\/+|\/+$/g, '');
	if(segments.length){
		var segments_array = segments.split('/').map(function(el) {
			return el.replace('-', ' ');
		});
		var separator = '<i class="fa fa-angle-right"></i>';
		var responsive = x3_content.find('.context').hasClass('narrowest') ? 'medium-9 large-6' : 'medium-10 large-8';
		var breadcrumbs_str = '<div class="x3-breadcrumbs"><div class="small-12 ' + responsive + ' small-centered columns"><a href="/" class="x3-breadcrumb">X3 Docs</a>' + separator;
		segments_array.forEach(function(el, i) {
				if(i < segments_array.length - 1) {
					var parent_link = '';
					for (var j = segments_array.length - i; j > 1; j--) {
						parent_link += '../';
					}
					breadcrumbs_str += '<a href="' + parent_link + '" class="x3-breadcrumb">' + el + '</a>' + separator;
				} else {
					breadcrumbs_str += '<span class="x3-breadcrumb-active">' + el + '</span>';
				}
		});
		breadcrumbs_str += '</div></div>';
		x3_content.children('.module').first().before(breadcrumbs_str);
	}
}

// global load
function x3_load(){

	x3_content = $('#content');

	// LOAD Facebook Pixel
	!function(f,b,e,v,n,t,s){if(f.fbq)return;n=f.fbq=function(){n.callMethod?
	n.callMethod.apply(n,arguments):n.queue.push(arguments)};if(!f._fbq)f._fbq=n;
	n.push=n;n.loaded=!0;n.version='2.0';n.queue=[];t=b.createElement(e);t.async=!0;
	t.src=v;s=b.getElementsByTagName(e)[0];s.parentNode.insertBefore(t,s)}(window,
	document,'script','https://connect.facebook.net/en_US/fbevents.js');
	fbq('init', '271111120009017');

	// prevent 3D logo hover
	$('.logo').on('mouseover mouseout', function(e) {
		e.stopImmediatePropagation();
	});
}